/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.stocktaking;

import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.catalog.Product;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.CheckStatus;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar
 */
public class CheckStocktakingDetail implements Serializable{
    
    private String id;
    private String description;
    private CheckStocktaking checkStocktaking;
    private Product product;
    private int lastStocktaking;
    private int newStocktaking;
    private Boolean active;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private double amount;

    public CheckStocktakingDetail(String id) {
        this.id = id;
    }

    public CheckStocktakingDetail() {
    }

    public CheckStocktakingDetail(String id, String description, CheckStocktaking checkStocktaking, Product product, int lastStocktaking, int newStocktaking, Boolean active, User createdBy, Date createdOn, double amount) {
        this.id = id;
        this.description = description;
        this.checkStocktaking = checkStocktaking;
        this.product = product;
        this.lastStocktaking = lastStocktaking;
        this.newStocktaking = newStocktaking;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.amount = amount;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public CheckStocktaking getCheckStocktaking() {
        return checkStocktaking;
    }

    public void setCheckStocktaking(CheckStocktaking checkStocktaking) {
        this.checkStocktaking = checkStocktaking;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public int getLastStocktaking() {
        return lastStocktaking;
    }

    public void setLastStocktaking(int lastStocktaking) {
        this.lastStocktaking = lastStocktaking;
    }

    public int getNewStocktaking() {
        return newStocktaking;
    }

    public void setNewStocktaking(int newStocktaking) {
        this.newStocktaking = newStocktaking;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    
}
